ubuntu/+source/mozvoikko:applied/ubuntu/maverick-devel

Last commit made on 2012-02-02
Get this branch:
git clone -b applied/ubuntu/maverick-devel https://git.launchpad.net/ubuntu/+source/mozvoikko
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/ubuntu/maverick-devel
Repository:
lp:ubuntu/+source/mozvoikko

Recent commits

923f9d8... by Chris Coulson on 2012-01-29

Import patches-applied version 2.0.1-0ubuntu0.10.10.1 to applied/ubuntu/maverick-proposed

Imported using git-ubuntu import.

Changelog parent: fd158d54161e2c2c95dc462533f7f6f83fb391f0
Unapplied parent: 289cf4bcae50e7fcd340157b4f25bfc6315875d3

New changelog entries:
  * Update to the 2.0 rewrite
    - Now uses js-ctypes (yay, good riddance evil binary extension)
    - Fixes LP: #914706 - can't select any other spell-check language in
      Firefox with mozvoikko installed
    - see LP: #923319 for USN information
  * Drop firefox-dev, libvoikko-dev, pkg-config and lsb-release build-depends
    - update debian/control
  * Make xul-ext-mozvoikko Arch: all
    - update debian/control
  * Drop debian/patches/fix_sdk_build.patch
  * Drop debian/patches/port_to_latest_firefox.patch
  * Drop everything related to the old build system from debian/rules

289cf4b... by Chris Coulson on 2012-01-29

Import patches-unapplied version 2.0.1-0ubuntu0.10.10.1 to ubuntu/maverick-proposed

Imported using git-ubuntu import.

Changelog parent: ccfafb0def306e2aae9bf78655e02a1ca02b61ce

New changelog entries:
  * Update to the 2.0 rewrite
    - Now uses js-ctypes (yay, good riddance evil binary extension)
    - Fixes LP: #914706 - can't select any other spell-check language in
      Firefox with mozvoikko installed
    - see LP: #923319 for USN information
  * Drop firefox-dev, libvoikko-dev, pkg-config and lsb-release build-depends
    - update debian/control
  * Make xul-ext-mozvoikko Arch: all
    - update debian/control
  * Drop debian/patches/fix_sdk_build.patch
  * Drop debian/patches/port_to_latest_firefox.patch
  * Drop everything related to the old build system from debian/rules

fd158d5... by Chris Coulson on 2012-01-10

Import patches-applied version 1.10.0-0ubuntu0.10.10.1 to applied/ubuntu/maverick-proposed

Imported using git-ubuntu import.

Changelog parent: e304f6622df1e37f3d95e5e41280ff8a4c68cd7b
Unapplied parent: 539f2879e24e49afb6b3f971ea22d6aa0a8bec9c

New changelog entries:
  * Update for Firefox 9 (LP: #904594)
    - update debian/patches/port_to_latest_firefox.patch for
      mozISpellCheckingEngine changes
  * Update to 1.10.0
  * Refresh patches:
    - update debian/patches/port_to_latest_firefox.patch
    - update debian/patches/fix_sdk_build.patch
  * Add an apport hook which just calls up the Firefox hook
    - add debian/source.apport
    - update debian/rules
    - update debian/control to add dh-apport build-depend
  * Don't clobber CFLAGS, else we end up with no debug symbols
    - update debian/rules
  * Convert to source format 3.0 (quilt), drop quilt build dependency
    - add debian/source/format
    - update debian/control
  * Convert to dh7 and use mozilla-devscripts
    - update debian/compat
    - update debian/rules
    - update debian/control
    - remove debian/dirs
  * Drop unnecessary patches:
    - remove debian/patches/fix_freebsd_ftbfs.patch
    - remove debian/patches/fix_min_max_versions.patch
    - update debian/patches/series
  * The mozvoikko source has 2 build systems - one to allow building in a fully
    built Firefox source tree, and the other one just using the Mozilla SDK.
    The latter is totally broken in the current version though, so we hack
    it to work in order to avoid having to do the in-tree build
    - add debian/patches/fix_sdk_build.patch
    - update debian/patches/series
  * Rename debian/patches/port_to_xulrunner-192.patch =>
     debian/patches/port_to_latest_firefox.patch
  * Build with -Wno-strict-aliasing, as including nsID.h triggers this warning
    now, due to the changes in nsID::Equals()
    - update debian/patches/port_to_latest_firefox.patch

ccfafb0... by Chris Coulson on 2012-01-10

Import patches-unapplied version 1.10.0-0ubuntu0.10.10.1 to ubuntu/maverick-proposed

Imported using git-ubuntu import.

Changelog parent: 3e88ffdf2e3cc87d98a0f2bb1a9512ec4511b211

New changelog entries:
  * Update for Firefox 9 (LP: #904594)
    - update debian/patches/port_to_latest_firefox.patch for
      mozISpellCheckingEngine changes
  * Update to 1.10.0
  * Refresh patches:
    - update debian/patches/port_to_latest_firefox.patch
    - update debian/patches/fix_sdk_build.patch
  * Add an apport hook which just calls up the Firefox hook
    - add debian/source.apport
    - update debian/rules
    - update debian/control to add dh-apport build-depend
  * Don't clobber CFLAGS, else we end up with no debug symbols
    - update debian/rules
  * Convert to source format 3.0 (quilt), drop quilt build dependency
    - add debian/source/format
    - update debian/control
  * Convert to dh7 and use mozilla-devscripts
    - update debian/compat
    - update debian/rules
    - update debian/control
    - remove debian/dirs
  * Drop unnecessary patches:
    - remove debian/patches/fix_freebsd_ftbfs.patch
    - remove debian/patches/fix_min_max_versions.patch
    - update debian/patches/series
  * The mozvoikko source has 2 build systems - one to allow building in a fully
    built Firefox source tree, and the other one just using the Mozilla SDK.
    The latter is totally broken in the current version though, so we hack
    it to work in order to avoid having to do the in-tree build
    - add debian/patches/fix_sdk_build.patch
    - update debian/patches/series
  * Rename debian/patches/port_to_xulrunner-192.patch =>
     debian/patches/port_to_latest_firefox.patch
  * Build with -Wno-strict-aliasing, as including nsID.h triggers this warning
    now, due to the changes in nsID::Equals()
    - update debian/patches/port_to_latest_firefox.patch

539f287... by Chris Coulson on 2012-01-10

fix_sdk_build.patch

No DEP3 Subject or Description header found

Gbp-Pq: fix_sdk_build.patch.

6ef3c0f... by Chris Coulson on 2012-01-10

port_to_latest_firefox.patch

No DEP3 Subject or Description header found

Gbp-Pq: port_to_latest_firefox.patch.

e304f66... by Chris Coulson on 2010-03-23

Import patches-applied version 1.0-4ubuntu2 to applied/ubuntu/lucid

Imported using git-ubuntu import.

Changelog parent: 805db66cde3928cf7469f5b58806cf271ea08223
Unapplied parent: 3e88ffdf2e3cc87d98a0f2bb1a9512ec4511b211

New changelog entries:
  * Port to xulrunner 1.9.2. libxul-unstable no longer exists, so we use
    libxul instead (LP: #545152):
    - Add debian/patches/port_to_xulrunner-192.patch
    - Update debian/patches/series
    - Bump xulrunner-dev minimum build-dep to 1.9.2 in debian/control. It won't
      build with a lower version anymore.
  [ Alexander Sack <email address hidden> ]
  * update depends to firefox | abrowser | iceweasel (>= 3.6) - until this is moved
    to mozilla-devscripts
    - update debian/control

3e88ffd... by Chris Coulson on 2010-03-23

Import patches-unapplied version 1.0-4ubuntu2 to ubuntu/lucid

Imported using git-ubuntu import.

Changelog parent: 50c7c42d44993fa504a919a12c1412f835f1c7be

New changelog entries:
  * Port to xulrunner 1.9.2. libxul-unstable no longer exists, so we use
    libxul instead (LP: #545152):
    - Add debian/patches/port_to_xulrunner-192.patch
    - Update debian/patches/series
    - Bump xulrunner-dev minimum build-dep to 1.9.2 in debian/control. It won't
      build with a lower version anymore.
  [ Alexander Sack <email address hidden> ]
  * update depends to firefox | abrowser | iceweasel (>= 3.6) - until this is moved
    to mozilla-devscripts
    - update debian/control

805db66... by Heikki Mäntysaari on 2010-02-22

Import patches-applied version 1.0-4ubuntu1 to applied/ubuntu/lucid

Imported using git-ubuntu import.

Changelog parent: bf04659b3231a1ba46edf496ff3a36e6226a0149
Unapplied parent: 50c7c42d44993fa504a919a12c1412f835f1c7be

New changelog entries:
  * Merge changes from Debian (LP: #493628)
  * Change conflict to abrowser (>= 3.7). Closes LP: #513320
  * Add optional dependency to firefox-3.6. (LP: #513320)

50c7c42... by Heikki Mäntysaari on 2010-02-22

Import patches-unapplied version 1.0-4ubuntu1 to ubuntu/lucid

Imported using git-ubuntu import.

Changelog parent: f771da3aa61b62dca544ed4b8b3a10c85f85a9b1

New changelog entries:
  * Merge changes from Debian (LP: #493628)
  * Change conflict to abrowser (>= 3.7). Closes LP: #513320
  * Add optional dependency to firefox-3.6. (LP: #513320)